<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

function getIdFranquicia(){
  $ci =& get_instance();
  $ci->db->select('IdFranquicias');
  $ci->db->from('usuarios');
  $ci->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
  $ci->db->where('idUsuarios',$ci->session->userdata('idUsuarios'));
  $query=$ci->db->get();
  if( $query->num_rows() > 0){
      return $query->result()[0]->IdFranquicias;
     }
     else if ($query->num_rows() == 0){
      return 0;
     }
      else {
          return 0;
      }
}

function getIniEst(){
  $ci =& get_instance();
  $i=$ci->session->userdata('IdFranquicia');
  $ci->db->select('*');    
  $ci->db->where('IdUsuarios',null);
  $ci->db->where('IdFranquicias',$i);
  $query=$ci->db->get('horarios');
  
  if ($query->num_rows() > 0) { 
    $query = $query->row();
    $horaMin = '';
              
    if ($query->domingo == 1) {
      $horaMin=$query->horaIniDomingo;
    }

    if ($query->lunes == 1) {
      if ($horaMin != '') {
        if ($query->horaIniLunes > $horaMin) {
          $horaMin=$horaMin;
        }else{
          $horaMin=$query->horaIniLunes;
        }                  
      }else{
        $horaMin=$query->horaIniLunes; 
      }
    }

    if ($query->martes == 1) {
      if ($horaMin != '') {
        if ($query->horaIniMartes > $horaMin) {
          $horaMin=$horaMin;
        }else{
          $horaMin=$query->horaIniMartes;
        }
      }else{
        $horaMin=$query->horaIniMartes;
      }
    }

    if ($query->miercoles == 1) {
      if ($horaMin != '') {
        if ($query->horaIniMiercoles > $horaMin) {
          $horaMin=$horaMin;
        }else{
          $horaMin=$query->horaIniMiercoles;
        }
      }else{
        $horaMin=$query->horaIniMiercoles;
      }
    }

    if ($query->jueves == 1) {
      if ($horaMin != '') {
        if ($query->horaIniJueves > $horaMin) {
          $horaMin=$horaMin;
        }else{
          $horaMin=$query->horaIniJueves;
        }
      }else{
        $horaMin=$query->horaIniJueves;
      }
    }

    if ($query->viernes == 1) {
     if ($horaMin != '') {
        if ($query->horaIniViernes > $horaMin) {
          $horaMin=$horaMin;
        }else{
          $horaMin=$query->horaIniViernes;
        }
      }else{
        $horaMin=$query->horaIniViernes;
      }
    }

    if ($query->sabado == 1) {
      if ($horaMin != '') {
        if ($query->horaIniSabado > $horaMin) {
          $horaMin=$horaMin;
        }else{
          $horaMin=$query->horaIniSabado;
        }                  
      }else{
        $horaMin=$query->horaIniSabado;
      }
    }

    if ($horaMin !='') {
      return $horaMin;
    }else{
      return '00:00:00';
    }
  }
}

function getFinEst(){
  $ci =& get_instance();
  $i=$ci->session->userdata('IdFranquicia');
  $ci->db->select('*');    
  $ci->db->where('IdUsuarios',null);
  $ci->db->where('IdFranquicias',$i);
  $query=$ci->db->get('horarios');
  
  if ($query->num_rows() > 0) { 
    $query = $query->row();
    $horaMax = '';

    if ($query->domingo == 1) {
      $horaMax=$query->horaFinDomingo;
    }

    if ($query->lunes == 1) {
      if ($horaMax != '') {
        if ($query->horaFinLunes < $horaMax) {
          $horaMax=$horaMax;
        }else{
          $horaMax=$query->horaFinLunes;
        }                  
      }else{
        $horaMax=$query->horaFinLunes; 
      }
    }

    if ($query->martes == 1) {
      if ($horaMax != '') {
        if ($query->horaFinMartes < $horaMax) {
          $horaMax=$horaMax;
        }else{
          $horaMax=$query->horaFinMartes;
        }
      }else{
        $horaMax=$query->horaFinMartes;
      }
    }

    if ($query->miercoles == 1) {
      if ($horaMax != '') {
        if ($query->horaFinMiercoles < $horaMax) {
          $horaMax=$horaMax;
        }else{
          $horaMax=$query->horaFinMiercoles;
        }
      }else{
        $horaMax=$query->horaFinMiercoles;
      }
    }

    if ($query->jueves == 1) {
      if ($horaMax != '') {
        if ($query->horaFinJueves < $horaMax) {
          $horaMax=$horaMax;
        }else{
          $horaMax=$query->horaFinJueves;
        }
      }else{
        $horaMax=$query->horaFinJueves;
      }
    }

    if ($query->viernes == 1) {
     if ($horaMax != '') {
        if ($query->horaFinViernes < $horaMax) {
          $horaMax=$horaMax;
        }else{
          $horaMax=$query->horaFinViernes;
        }
      }else{
        $horaMax=$query->horaFinViernes;
      }
    }

    if ($query->sabado == 1) {
      if ($horaMax != '') {
        if ($query->horaFinSabado < $horaMax) {
          $horaMax=$horaMax;
        }else{
          $horaMax=$query->horaFinSabado;
        }                  
      }else{
        $horaMax=$query->horaFinSabado;
      }
    }

    if ($horaMax !='') {
      return $horaMax;
    }else{
      return '23:59:59';
    }
  }
}

function getDiasNoLab(){
  $ci =& get_instance();
  $i=$ci->session->userdata('IdFranquicia');
  $ci->db->select('*');    
  $ci->db->where('IdUsuarios',null);
  $ci->db->where('IdFranquicias',$i);
  $query=$ci->db->get('horarios');

  $dias = [];
  if ($query->num_rows() > 0) { 
    $query = $query->row();
    if ($query->domingo == 0 &&  $query->lunes == 0 && $query->martes == 0 && $query->miercoles == 0 && $query->jueves == 0 && $query->viernes == 0 && $query->sabado == 0) {
      return $dias;
    }else if ($query->domingo==null && $query->lunes==null && $query->martes==null && $query->miercoles==null && $query->jueves==null && $query->viernes==null && $query->sabado==null) {
      return $dias;
    }else{
        if ($query->domingo == 0) {
          array_push($dias, 0);
        }

        if ($query->lunes == 0) {
          array_push($dias, 1);
        }

        if ($query->martes == 0) {
          array_push($dias, 2);
        }

        if ($query->miercoles == 0) {
          array_push($dias, 3);
        }

        if ($query->jueves == 0) {
          array_push($dias, 4);
        }

        if ($query->viernes == 0) {
          array_push($dias, 5);
        }

        if ($query->sabado == 0) {
          array_push($dias, 6);
        }

      return $dias;
    }
  }
}

function getBusinessHours(){
  $ci =& get_instance();
  $i=$ci->session->userdata('IdFranquicia');
  $ci->db->select('*');    
  $ci->db->where('IdUsuarios',null);
  $ci->db->where('IdFranquicias',$i);
  $query=$ci->db->get('horarios');

  if ($query->num_rows() > 0) { 
    $query = $query->row();
    return $query;
  }
} 
?>